import QtQuick 2.0

Item {
    property var source
    property alias fillColor: background.color
    property bool ready: image.status != Image.Ready

    function scheduleUpdate() {
    }

    function updateFromCache() {
    }

    property string __icon: (source && source.icon) ? source.icon : ""
    readonly property bool fullscreen: (source && source.fullscreen) ? source.fullscreen : false

    Rectangle {
        id: background
        anchors.fill: parent
        color: "white"
    }

    Image {
        id: image
        anchors {
            left: parent.left
            right: parent.right
            top: parent.top
        }
        height: parent.height

        source: (__icon !== "") ? "../Dash/graphics/phone/screenshots/" + __icon + ".png" : ""
        smooth: true
        fillMode: Image.PreserveAspectCrop
    }
}
