import QtQuick 2.0
import QMenuModel 0.1

Item {
    visible: false
    QDBusActionGroup {
        id: _actionGroup
        busType: 1
        busName: "com.canonical.settings.sound"
        objectPath: "/com/canonical/settings/sound"
    }

    readonly property int volume: _serverVolume
    property variant _actionObject: _actionGroup.action("volume")
    property variant _serverVolume: _actionObject && _actionObject.valid ? _actionObject.state : 0.0

    function volumeUp() {
        _actionObject.updateState(_serverVolume + 0.10)
    }

    function volumeDown() {
        _actionObject.updateState(_serverVolume - 0.10)
    }

    Component.onCompleted: _actionGroup.start()
}
