import QtQuick 2.0

Item {
    id: root

    property var application
    property bool withBackground: true
    property bool ready: application != undefined

    function setApplication(app) {
        application = app
    }

    function clearApplication() {
        setApplication(undefined)
    }

    function scheduleUpdate() {}

    function updateFromCache() {}

    Rectangle {
        id: rect
        anchors.fill: parent
        Text {id:text}
    }

    onApplicationChanged: {
        if (application) {
            rect.color = application.color
            text.text = application.desktopFile + " screenshot"
            rect.visible = true
        } else {
            rect.color = "white"
            text.text = "<NULL> screenshot"
            rect.visible = false
        }
    }
}
